" let's not worry about vi
set nocompatible

" force plugins to load correctly when we turn it back on below
filetype off

" syntax highlights by default
syntax on

" for stupid plugins
filetype plugin indent on

" lead us, brave comma
let mapleader=","

" show file stats
set ruler

" UTF8!
set encoding=utf-8

" relative line number, jump at will!
set relativenumber

" better scheme
colorscheme delek

" status bar
set laststatus=2

" Cursor motion
set scrolloff=3
set backspace=indent,eol,start
set matchpairs+=<:> " use % to jump between pairs
runtime! macros/matchit.vim

" Formatting
map <leader>q gqip

" security detail
set modelines=0

" no beeping here
set visualbell

" we can hide buffers if we want
set hidden

" Searching
set hlsearch
set incsearch
set ignorecase
set smartcase
set showmatch
map <leader><space> :let @/=''<cr> " clear search
